#include <bits/stdc++.h>
using namespace std;

string sub(string& a, string& b) {
    string ans;
    bool pr = 0;

    for (int i = 0; i < a.size(); i++) {
        int sum = a[i] - '0' - pr;
        if (i < b.size()) sum -= b[i] - '0';

        if (sum < 0) {
            sum += 10;
            pr = 1;
        } else pr = 0;

        ans.push_back(sum + '0');
    }

    while (ans.size() > 1 && ans.back() == '0') ans.pop_back();
    return ans;
}

string mult(string& a, unsigned long long b) {
    string ans;
    unsigned long long pr = 0;

    for (int i = 0; i < a.size() || pr; i++) {
        unsigned long long sum = pr;
        if (i < a.size()) sum += b * (a[i] - '0');

        pr = sum / 10;
        ans.push_back(sum % 10 + '0');
    }

    return ans;
}

string getPower(int n) {
    string ans = "1";

    for (int i = 0; i < n / 60; i++) ans = mult(ans, 1152921504606846976);
    for (int i = 0; i < n % 60; i++) ans = mult(ans, 2);

    return ans;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;

    string ans = getPower(n);

    if ((n + 1) % 3 == 0) {
        string s = getPower((n + 1) / 3);
        ans = sub(ans, s);
    }

    if ((n + 1) % 9 == 0) {
        string s = getPower((n + 1) / 9);
        ans = sub(ans, s);
    }

    if ((n + 1) % 27 == 0) {
        string s = getPower((n + 1) / 27);
        ans = sub(ans, s);
    }



    reverse(ans.begin(), ans.end());
    cout << ans << endl;

    return 0;

}
/// 2^60 = 1152921504606846976
