#include <bits/stdc++.h>
using namespace std;

vector <bool> brackets(10);
vector <string> ans;
vector <pair <string, int>> v;

bool checkCategory(char a, char b) {
    if (isdigit(a) != isdigit(b)) return true;
    if (!(isdigit(a) || isdigit(b))) return true;

    return false;
}

void solve(int chain) {
    chain--;

    if (chain < 0) {
        string res;

        for (auto& i : v) {
            if (i.second == -1 || brackets[i.second]) res += i.first;
        }

        ans.push_back(res);
    } else {
        brackets[chain] = 0;
        solve(chain);
        brackets[chain] = 1;
        solve(chain);
    }
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    string s, str;
    cin >> s;

    int pairCount = 0;
    stack <pair <bool, int>> st;

    for (int i = 0; i < s.size(); i++) {
        str.push_back(s[i]);

        if (i + 1 == s.size() || checkCategory(s[i], s[i + 1])) {
            v.push_back({str, -1});
            str = "";
        }

        if (s[i] == '(') st.push({1, v.size() - 1});
        if (s[i] == ')') {
            v[st.top().second].second = pairCount;
            v.back().second = pairCount;
            st.pop();

            pairCount++;
        }
    }

    solve(pairCount);
    sort(ans.begin(), ans.end());

    for (int i = 0; i < ans.size(); i++) {
        if (ans[i] != s) {
            if (i + 1 == ans.size() || ans[i] != ans[i + 1]) {
                cout << ans[i] << '\n';
            }
        }
    }

    return 0;

}
