#include <bits/stdc++.h>
using namespace std;

bool cmp(pair <int, int>& a, pair <int, int>& b) {
    if (a.first != b.first) return a.first < b.first;
    return a.second < b.second;
}

int bs(vector <pair <int, int>>& v, pair <int, int>& wanted) {
    int l = 0, r = v.size() - 1;

    while (l <= r) {
        int m = (l + r) / 2;

        if (v[m] == wanted) return m;

        if (cmp(v[m], wanted)) l = m + 1;
        else r = m - 1;
    }

    return -1;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, t, k;
    cin >> n;
    vector <int> s(n);
    vector <pair <int, int>> v(n);

    for (int i = 0; i < n; i++) {
        cin >> s[i];
        v[i].first = s[i];
        v[i].second = i;
    }

    sort(v.begin(), v.end());
    cin >> t;

    for (int i = 0; i < t; i++) {
        cin >> k;
        k--;

        pair <int, int> num = {s[k], k};
        int idx = bs(v, num);

        if (idx == -1) {
            cout << 0 << ' ' << 0 << endl;
        } else {
            if (idx > 0 && v[idx - 1].first == v[idx].first) cout << v[idx - 1].second + 1;
            else cout << 0;
            cout << ' ';
            if (idx < v.size() - 1 && v[idx + 1].first == v[idx].first) cout << v[idx + 1].second + 1;
            else cout << 0;

            cout << '\n';
        }
    }

    return 0;

}

